> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zerocash.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Historical Rates

> This will give you historical BID or ASK rates for a specific pair over the last 30 days.



## OpenAPI

````yaml GET /api/b2b/utilities/rates/historical
openapi: 3.1.0
info:
  title: Zerocash API
  version: 1.0.0
  description: >-
    The Zerocash API lets you collect payments (charges) and disburse funds
    (payouts) across supported markets through a single, unified integration.
servers:
  - url: https://api.zerocash.tech
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: Obtain and manage API credentials.
  - name: Reference Data
    description: Look up countries, banks, operators, and rates before transacting.
  - name: Charges
    description: Collect payments from your customers.
  - name: Payouts
    description: Disburse funds to recipients.
  - name: Transactions
    description: Retrieve and reconcile transactions.
  - name: Webhooks
    description: Receive and replay real-time event notifications.
paths:
  /api/b2b/utilities/rates/historical:
    get:
      tags:
        - Reference Data
      summary: Get Historical Rates
      description: >-
        This will give you historical BID or ASK rates for a specific pair over
        the last 30 days.
      operationId: get-historical-rates
      parameters:
        - name: from
          in: query
          required: true
          schema:
            type: string
        - name: to
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      - currencyPair: USDCKES
                        buy: 127.76
                        sell: 132.28
                        updatedAt: '2024-09-16T16:14:50.646Z'
                      - currencyPair: USDCKES
                        buy: 127.76
                        sell: 132.28
                        updatedAt: '2024-09-16T16:13:26.100Z'
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        currencyPair:
                          type: string
                          example: USDCKES
                        buy:
                          type: number
                          example: 127.76
                          default: 0
                        sell:
                          type: number
                          example: 132.28
                          default: 0
                        updatedAt:
                          type: string
                          example: '2024-09-16T16:14:50.646Z'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````